From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/roadie/
Date: Tue, 17 May 2022 05:32:28 +0000 (UTC) [thread overview]
Message-ID: <1652765538.35e2e5d274f340dade0010eff3381a72677538da.graaff@gentoo> (raw)
commit: 35e2e5d274f340dade0010eff3381a72677538da
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue May 17 05:32:18 2022 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue May 17 05:32:18 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35e2e5d2
dev-ruby/roadie: add 5.0.1
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/roadie/Manifest | 1 +
dev-ruby/roadie/roadie-5.0.1.ebuild | 34 ++++++++++++++++++++++++++++++++++
2 files changed, 35 insertions(+)
diff --git a/dev-ruby/roadie/Manifest b/dev-ruby/roadie/Manifest
index 520fc5a280cc..f7f2ac0a8f54 100644
--- a/dev-ruby/roadie/Manifest
+++ b/dev-ruby/roadie/Manifest
@@ -1,2 +1,3 @@
DIST roadie-4.0.0.tar.gz 50727 BLAKE2B 671c5260f4a181e4a50d136e4c6e96e96a3bb51adc7cd88d070b558af0d1d858e712a8f6d586aaea5c72b735db41a54ecb1833b74b3e76f7838a3323a69fb5f3 SHA512 ad42ff83c7983e8cce1506f6b72d66e47a860251749eebd3cd65c2114859d3d8a8103d309964aa53875cb07a83393b086fb6c58db88d95a84059abb514d12665
DIST roadie-5.0.0.tar.gz 50262 BLAKE2B 94e2ecb83252ff1e3d20dd383cef5f65922dacf0febaaad8d5943890640f0bd7cc2774cb9f0bd87faff60dee9ea1ec27c562368f451ce8811faf968c172f661e SHA512 531de622ff3c96ec702e04238c512b3b64dd352a55151db2becac0d8dc1ca933b76914058130ff468030199b7dfe80e1bb89366db2bb3b86519f74911cd4ee29
+DIST roadie-5.0.1.tar.gz 50380 BLAKE2B 38cbc3697aacc4932ec817be2face87e0eeb89b9de6053b753b4db1aadf7ef4d3205148a43a722f9d0691c3200e23d1d4cb345adb8deaebfdfa13c63238a4361 SHA512 a23aafd9cf6b21ac3ca00a29bcbf40b7c11366c09f013a31d0bc92194729735dda3370e43700fce88a3cd1e1fccfc7089b3fe126a4f95ab71f3b93a85670d623
diff --git a/dev-ruby/roadie/roadie-5.0.1.ebuild b/dev-ruby/roadie/roadie-5.0.1.ebuild
new file mode 100644
index 000000000000..761869585c3e
--- /dev/null
+++ b/dev-ruby/roadie/roadie-5.0.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Making HTML emails comfortable for the Rails rockstars"
+HOMEPAGE="https://github.com/Mange/roadie"
+SRC_URI="https://github.com/Mange/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/nokogiri-1.8:0
+ >=dev-ruby/css_parser-1.4.5 =dev-ruby/css_parser-1*"
+ruby_add_bdepend "test? ( dev-ruby/rspec-collection_matchers dev-ruby/webmock )"
+
+all_ruby_prepare() {
+ sed -i -e "/[Bb]undler/d" Rakefile || die
+ sed -i -e 's/git ls-files/find * -type f -print/' \
+ -e '/test_files/d' \
+ -e '/css_parser/ s/~>/>=/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
next reply other threads:[~2022-05-17 5:32 UTC|newest]
Thread overview: 31+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-05-17 5:32 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-01 5:41 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/roadie/ Hans de Graaff
2024-03-19 6:27 Hans de Graaff
2024-02-09 7:49 Hans de Graaff
2023-08-28 9:25 Hans de Graaff
2023-08-28 9:25 Hans de Graaff
2023-07-16 5:30 Hans de Graaff
2023-04-08 23:20 Sam James
2023-04-02 2:56 Sam James
2022-11-26 16:08 Hans de Graaff
2022-04-12 17:21 Hans de Graaff
2022-03-29 15:55 Hans de Graaff
2021-07-07 6:53 Hans de Graaff
2019-11-04 19:02 Hans de Graaff
2019-11-02 5:40 Hans de Graaff
2019-10-07 5:46 Hans de Graaff
2019-05-06 5:53 Hans de Graaff
2019-04-28 5:55 Hans de Graaff
2019-04-11 17:46 Hans de Graaff
2018-07-02 5:29 Hans de Graaff
2018-04-06 4:54 Hans de Graaff
2018-02-10 7:42 Hans de Graaff
2018-02-10 7:42 Hans de Graaff
2017-06-26 4:14 Hans de Graaff
2017-05-28 5:57 Hans de Graaff
2017-05-12 6:36 Hans de Graaff
2017-05-12 6:36 Hans de Graaff
2017-01-10 6:40 Hans de Graaff
2016-10-12 4:53 Hans de Graaff
2016-08-28 23:19 Manuel Rüger
2016-03-27 12:09 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1652765538.35e2e5d274f340dade0010eff3381a72677538da.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox